;;; autoinsert-options.el - auto expansions and template path for init.el

;; Author: Rachel Fae Fox <fox@foxiepa.ws>
;; URL: https://git.foxiepa.ws/foxiepaws/dotfiles/

(setq dc-expandos-alist
      '(( "@BASEFILENAME@"  (file-name-nondirectory buffer-file-name) )
    ( "@BASEFILENAMELESSEXTENSION@"
      (dc--filename-remove-extension
       (file-name-nondirectory buffer-file-name) ) )
    ( "@FILENAME@"      buffer-file-name )
    ( "@DATE@"          (current-time-string) )
    ( "@HOST@"          (or (getenv "HOST") (getenv "COMPUTERNAME")))
    ( "@AUTHOR@"        "Rachel Fae Fox (foxiepaws),fox@foxiepa.ws")
    ( "@COMMENT-START@" (if comment-start comment-start "") )
    ( "@COMMENT-END@"   (if comment-end comment-end "") )
    ( "@CURSOR@"           (setq dc-initial-dot-position (match-beginning 0))
      "" ))
      dc-auto-insert-alist
      '(
    ("\\.c$"  . "c-insert.c")
    ("\\.h$"  . "c-insert.c")
    ("\\.cpp$". "c-insert.c")
    ("\\.hpp$". "c-insert.c")
    ("\\.pl$" . "pl-insert.pl")
    ("\\.pm$" . "pm-insert.pm")
    ("\\.rkt" . "rkt-insert.rkt"))
      dc-auto-insert-directory "~/.emacs.d/defaultcontent/templates/")
