;;; hooks.el -- misc hooks for init.el

;; Author: Rachel Fae Fox <fox@foxiepa.ws>
;; URL: https://git.foxiepa.ws/foxiepaws/dotfiles/


(add-hook 'racket-mode-hook
          (lambda ()
            (linum-mode)
            (flycheck-mode)))

(add-hook 'c-mode-hook
          (lambda ()
            (linum-mode)
            (flycheck-mode)))


;; we don't need to see /every/ minor mode.
(add-hook 'auto-fill-mode-hook
          (lambda ()
            (diminish 'auto-fill-function))) ; it is function not mode

(add-hook 'paredit-mode-hook
          (lambda ()
            (diminish 'paredit-mode)))

(diminish 'undo-tree-mode)

(add-hook 'editorconfig-custom-hooks
          'editorconfig-custom-majormode)

; fix fixed pitch font things.
(add-hook 'calendar-mode-hook
	  (lambda ()
	    (buffer-face-set 'fixed-pitch)))
(add-hook 'ibuffer-mode-hook
	  (lambda ()
	    (buffer-face-set 'fixed-pitch)))
