
;;; org-vars.el - org mode settings and hooks for init.el

;; Author: Rachel Fae Fox <fox@foxiepa.ws>
;; URL: https://git.foxiepa.ws/foxiepaws/dotfiles/

(setq org-log-done t
      org-agenda-files(list "~/Documents/org/tasks.org" "~/Projects/Home/shared-org/shared.org" "~/Projects/CRITR/tasks/critr.org")
      org-enforce-todo-dependencies t
      org-enforce-todo-checkbox-dependencies t
      org-element-use-cache nil)


(setq org-static-blog-publish-title "Rachel's Blog")
(setq org-static-blog-publish-url "https://foxiepa.ws/~rachel/blog/")
(setq org-static-blog-publish-directory "~/Projects/blog/pub/")
(setq org-static-blog-posts-directory "~/Projects/blog/posts/")
(setq org-static-blog-drafts-directory "~/Projects/blog/drafts/")
(setq org-static-blog-enable-tags t)
(setq org-static-blog-page-header
"<meta name=\"author\" content=\"Rachel Fae Fox\">
<meta name=\"referrer\" content=\"no-referrer\">
<link href= \"static/style.css\" rel=\"stylesheet\" type=\"text/css\" />
<link rel=\"icon\" href=\"static/favicon.ico\">")
(setq org-static-blog-page-preamble
"<div class=\"header\">
  <a href=\"https://foxiepa.ws/~rachel/bloog/\">Rachel's Blog</a>
</div>")
(setq org-static-blog-page-postamble
"<div id=\"archive\">
  <a href=\"https://foxipa.ws/~rachel/archive.html\">Other posts</a>
</div>")

(add-hook 'org-mode-hook
	  (lambda ()
	    (auto-fill-function)
	    (flyspell-mode)
	    (buffer-face-set 'variable-pitch)))
